Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.login
Interface UserLoginControl

All Superinterfaces
  Serializable

    @ControlInterface
    public interface UserLoginControl

extends Serializable

This control:

- is used by the portal GUI components to send authentication information to the portal site
- allows a site visitor to log in to the portal
- gives some indication as to whether the login is successful by providing access to the user's profile information, and throwing an exception otherwise.

It does not register the user

See Also
  `ProfileWrapper`

Method Summary
`ProfileWrapper` | `login(String username, String password, javax.servlet.http.HttpServletRequest request)` Log this user into the Portal application
`void` | `logout(javax.servlet.http.HttpServletRequest request)` Log out current user

Method Detail

### login

    ProfileWrapper login(String username,
                         String password,
                         javax.servlet.http.HttpServletRequest request)
                         throws P13nControlException

  Log this user into the Portal application

  Parameters
    `username` - The user's login name
    `password` - The user's password
    `request` - the HttpServletRequest object
  Returns
    a ProfileWrapper representing the user's stored information
  Throws
    `P13nControlException` - if user cannot be logged in, or if there is an error retrieving user profile.

### logout

    void logout(javax.servlet.http.HttpServletRequest request)

  Log out current user

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.